Fund Accounts
Create a Fund Account of Type Bank Account
Create a Fund Account with Bank Account details using APIs.
POST
Use this endpoint to create a fund account with bank account details.
- A new fund account is created if any combination of the following details is unique:
contact_id,bank_account.name,bank_account.ifscandbank_account.account_number. - If all the above details match the details of an existing fund account, the API returns details of the existing fund account.
- You cannot edit the details of a fund account.
Request Parameters
string
required
This is the unique identifier linked to a contact. For example,
cont_00000000000001.string
required
The account type you want to link to the contact ID. Here it is
bank_account.object
required
The contact’s bank account details.
string
required
Account holder’s name. Name must be between 3 - 120 characters. This field is case-sensitive. Name cannot end with a special character, except
.. Supported characters: a-z, A-Z, 0-9, space, ’ , - , _ , / , ( , ) and , .. For example,Gaurav Kumar.string
required
Beneficiary bank IFSC. Has to be 11 characters. Unique identifier of a bank branch. For example,
HDFC0000053.string
required
Beneficiary account number. Between 5 and 35 characters. Supported characters:
a-z, A-Z and 0-9. Beneficiary account number. For example, 765432123456789.Response Parameters
string
The unique identifier linked to the fund account validation. For example,
fav_0000000001.string
Here it is
fund_account.validation.string
The status of the account validation transaction.
Possible values:
createdcompletedfailed
object
Details extracted from the results of the fund account validation.
string
Displays if the account is valid or not.
Possible values:
activeinvalid
string
The name linked to the account. For example,
Gaurav Kumar or null.string
Brief description of the validation.
string
The percentage score indicating how closely the account holder’s name matches the records.
string
Here it is
bank_account.object
The contact’s bank account details.
string
Beneficiary bank IFSC. For example,
HDFC0000053.string
Beneficiary account number. For example,
765432123456789.string
The contact’s bank name. For example,
HDFC.string
The account type being validated. For example
savings, current.object
Status of the fund account validation.
string
A brief description stating if the validation is complete or not.
string
The source from which validation was done. For example,
beneficiary_bankstring
Reason for validation.
string
Unique reference_id generated for the validation transaction.
object
The details of the fund account which was validated.
string
The unique identifier linked to the fund account. For example,
fa_00000000000001.string
Here it is
fund_account.string
Fund account type.
object
The details associated with the account holder’s virtual payment address.
string
The virtual payment address of the contact whose account is validated. For example,
gaurav.kumar@exampleupiboolean
Possible values of fund account status:
true: activefalse: inactive
integer
Timestamp, in unix, when the fund account was created. For example,
1543650891.object
The contact’s details.
string
The unique identifier linked to the contact. For example,
cont_00000000000001.string
Here it is
contactstring
Account holder’s name. For example,
Gaurav Kumar.string
Email address of the contact.
string
Phone number of the contact.
string
Contact Type. For example,
employee, contractor.string
Reference id associated with the contact.
boolean
Possible values of contact status:
true: activefalse: inactive
Errors
The contact id provided does not exist.
The contact id provided does not exist.
Code:
4xxThe contact ID provided is incorrect.Solution: Enter the correct Contact ID. Check if this contact already exists in your RazorpayX account using Fetch Contact id API or use the search option on the Dashboard. Or find the Contact ID:- In the response body of create a Contact API.
- On the Contacts Dashboard.
The IFSC must be 11 characters.
The IFSC must be 11 characters.
Code:
4xxThe IFSC code provided is either incorrect or does not have 11 characters.Solution: Check and pass the correct 11 characters IFSC.The account number format is invalid.
The account number format is invalid.
Code:
4xxThe account number is incorrect.Solution: Enter the beneficiary account number between 5 and 35 characters. Supported characters- a-z, A-Z, and 0-9.